diff -u flashrom/flashchips.c flashrom-jk/flashchips.c
--- flashrom/flashchips.c	2008-06-07 00:33:48.000000000 +0200
+++ flashrom-jk/flashchips.c	2008-06-07 00:38:22.000000000 +0200
@@ -45,6 +45,7 @@
 	{"Atmel",	"AT49F002(N)T",		ATMEL_ID,	AT_49F002NT,		256,	256,		TEST_UNTESTED,	probe_jedec,		erase_chip_jedec,		write_jedec},
 	{"Atmel",       "AT25DF321",		ATMEL_ID,	AT_25DF321,		4096,	256,		TEST_OK_PREW,	probe_spi_rdid,		spi_chip_erase_c7,	spi_chip_write,	spi_chip_read},
 	{"Amic Technology","A25L40P",		AMIC_ID,	AMIC_A25L40P,		512,	256,		TEST_UNTESTED,	probe_spi_rdid,		spi_chip_erase_c7,	spi_chip_write, spi_chip_read},
+	{"Amic Technology","A49LF040A",		AMIC_ID_NOPREFIX,	AMIC_A49LF040A,		512,    4096,           TEST_UNTESTED,  probe_jedec,            erase_49lf040,                  write_49lf040},
 	{"EMST",	"F49B002UA",		EMST_ID,	EMST_F49B002UA,		256,	4096,		TEST_UNTESTED,	probe_jedec,		erase_chip_jedec,		write_49f002},
 	{"EON",		"EN29F002(A)(N)B",	EON_ID,		EN_29F002B,		256,	256,		TEST_UNTESTED,	probe_jedec,		erase_chip_jedec,		write_jedec},
 	{"EON",		"EN29F002(A)(N)T",	EON_ID,		EN_29F002T,		256,	256,		TEST_UNTESTED,	probe_jedec,		erase_chip_jedec,		write_jedec},
diff -u flashrom/flash.h flashrom-jk/flash.h
--- flashrom/flash.h	2008-06-07 00:33:48.000000000 +0200
+++ flashrom-jk/flash.h	2008-06-07 00:35:48.000000000 +0200
@@ -119,6 +119,7 @@
 #define AMIC_ID			0x7F37	/* AMIC */
 #define AMIC_ID_NOPREFIX	0x37	/* AMIC */
 #define AMIC_A25L40P		0x2013
+#define AMIC_A49LF040A		0x9D
 
 #define ASD_ID			0x25	/* ASD, not listed in JEP106W */
 #define ASD_AE49F2008		0x52
